You can send an SMS schedule to an individual recipient or up to a maximum of 10,000 recipients of your choice.
Generally this is the quickest method of sending SMS messages because unlike the marketing service, this is a simple service that sends a campaign directly to the SMS Provider without checking permits, storing data or tracking email performance about specific individuals.
Prerequisites
Before you can use this service you need to make sure that you've completed the following tasks:
- Received the relevant credentials from your RedEye account manager
- Created a Service SMS schedule in Contour
Service API Request Details
- Service messages are batched and queued to improve efficiency and to prevent loss of data.
- The same recipient can be included more than once in the send and no deduplication will occur.
- If you do not provide the Reference id then one is automatically generated for you, however any failures to validate the API call will not generate an id.
Considerations for SMS
- You cannot have spaces or hyphens in the mobile number.
- By default only allows 07 mobile numbers
- International number format is supported (with or without the + sign) - speak to your Account Manager to activate
- We recommend not to include Email addresses in the Service SMS API Call
- An invalid mobile number will still be charged even though the SMS will not be received.
- If a service message creative contains merge fields then the request must contain all the merge field parameters to be used in the sms, otherwise these are blank for the recipient.
- Service SMS schedules cannot use sociable hours,they will send 24/7 depending on when the API call is received.
URL to use
METHOD: POST
https://api.redeye.com/[client_id]/service/sendsms/
Body Sample
{
"schedule": "string",
"reference": "string",
"recipients": [
{
"mobile": "string",
"firstname": "string",
"titlelastname": "string",
"lastname": "string"
}
]
}